import request from '@/utils/request'

// 查询称重单列表
export function listWeightInfo(query) {
  return request({
    url: '/weighbridge/weightInfo/list',
    method: 'get',
    params: query
  })
}

// 查询称重单详细
export function getWeightInfo(serialNo) {
  return request({
    url: '/weighbridge/weightInfo/' + serialNo,
    method: 'get'
  })
}

// 新增称重单
export function addWeightInfo(data) {
  return request({
    url: '/weighbridge/weightInfo',
    method: 'post',
    data: data
  })
}

// 修改称重单
export function updateWeightInfo(data) {
  return request({
    url: '/weighbridge/weightInfo',
    method: 'put',
    data: data
  })
}

// 删除称重单
export function delWeightInfo(serialNo) {
  return request({
    url: '/weighbridge/weightInfo/' + serialNo,
    method: 'delete'
  })
}
